Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.util.core
Class FileUtil

    java.lang.Object
      |
      +--cryptix.util.core.FileUtil

public class FileUtil
extends java.lang.Object

Static methods for processing File utilitarian tasks.

Copyright © 1997, 1998 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.1 $

Since:
  Cryptix 3.0.4
Author:
  Raif S. Naffah

Constructor Summary
`FileUtil()`

Method Summary
`static boolean` | `loadProperties(java.util.Properties properties, java.lang.String name)` Load a Properties object from a file given its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### loadProperties

    public static boolean loadProperties(java.util.Properties properties,
                                         java.lang.String name)

  Load a Properties object from a file given its name. The search for the specified file is carried out on all the files and directories specified in the CLASSPATH environment variable (contents of the java system property "java.class.path"). The search is also done on the top level contents of ".zip" and ".jar" files. Finally the search stops after the first successful completion of the loading process; ie. after the first .properties file was found and was successfully used to load the specified properties.
  Parameters:
    `properties` - The java.util.Properties object to load.
    `name` - The name of the properties file. If it does not end with the suffix ".properties" one will be added.
  Returns:
    True iff the properties object was loaded correctly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.